# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'string_swap/version'

Gem::Specification.new do |spec|
  spec.name          = "string_swap"
  spec.version       = StringSwap::VERSION
  spec.authors       = ["Habib Alamin"]
  spec.email         = ["ha.alamin@gmail.com"]
  spec.summary       = %q{An instance method on String to swap two substrings together.}
  spec.description   = %q{This will monkey patch the String class to provide an instance method that swaps two substrings together.}
  spec.homepage      = "https://github.com/habibalamin-gems/string_swap"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1"
end
